This is a portable version of the MATLAB scripts that can be run to reproduce the data used in the Miyawaki et al. (2020) study.

Note that the data included here have been processed to keep the file size small (e.g., most variables are spatially averaged over 10 S to 10 N). If you would like access to the raw data of the GFDL AM2 runs, please contact me (email is at the bottom of the document). CMIP5 data are available publically through the ESGF data nodes.

The important scripts are located in ./analysis/. The parent file is setup.m. This script calls the function analysis.m, which calls further scripts for reading the data and plotting.

The postprocessed data that are loaded in by the scripts are stored in ./data/ in the form of .mat files. The subfolders ./data/reversible and ./data/pseudo refer to the different methods in calculating the moist adiabat.

The figures are saved in ./figures/.

The ./tools/ folder contains miscellaneous MATLAB functions that I use in my MATLAB scripts.

If you have any questions about the MATLAB scripts or the data, please contact Osamu Miyawaki at miyawaki@uchicago.edu.
