function analysis(tok, tok_num, clrs, leg, bnd, par, option)

    rootdir     = '../'; % set root directory (for defining data access and plotting paths)
    plot_path = [rootdir 'figures'];

    % set plot settings and parameters
    plot_settings;

    % create arrays to store overprediction data across model hierarchy 
    % data that are loaded into these arrays are provided in
    % Supplementary Tables S1, S3, S6, and S7.
    amp_std = nan(29, 4); % overprediction calculated using standard moist adiabat across hierarchy
    amp_psd = nan(29, 4); % "" using pseudoadiabat
    amp_rev = nan(29, 4); % "" using reversible adiabat
    amp_co2 = nan(29, 4); % overprediction using standard moist adiabat across model hierarchy with direct effect of CO2 included
    amp_asc = nan(29, 4); % overprediction using standard moist adiabat across model hierarchy filtered by strong mean ascent
    amp_asc_co2 = nan(29, 4); % overprediction using standard moist adiabat across model hierarchy filtered by strong mean ascent and direct effect of CO2 included

    % read processed data used to make the figures
    read_data;

    % run t-tests for significance
    % this data is used in Supplementary Tables S2, S4, and S5.
    t_tests;

    % make figures
    figures;

end