% figure 1a
figure(); clf; hold all;
H = notBoxPlot(amp_std, 'style', 'sdline');
quad_sem = NBP.SEM_calc(amp_std(:,1));
set([H.data], 'color', 'k', 'Marker', '.');
xtickangle(45);
xticks(1:5);
xticklabels({'abrupt4$\times$CO$_2$', 'amipF', 'amip4K', 'aqua4K'});
%hline(nanmean(amp_std(:, 1))-quad_sem, ':r');
ylabel('overprediction (\%)');
set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_sq);
set(gca, 'fontsize', par.fs, 'xlim', [0 5], 'ylim', [-20 60], 'ytick', [-20:10:60], 'yminortick', 'on');
hline(0, 'k');
printname = [plot_path '/fig_1a'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 1b
figure(); clf; hold all;
H = notBoxPlot(amp_asc, 'style', 'sdline');
quad_sem = NBP.SEM_calc(amp_asc(:,1));
set([H.data], 'color', 'k', 'Marker', '.');
xtickangle(45);
xticks(1:5);
xticklabels({'abrupt4$\times$CO$_2$', 'amipF', 'amip4K', 'aqua4K'});
%hline(nanmean(amp_asc(:, 1))-quad_sem, ':r');
ylabel('overprediction (\%)');
set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_sq);
set(gca, 'fontsize', par.fs, 'xlim', [0 5], 'ylim', [-20 60], 'ytick', [-20:10:60], 'yminortick', 'on');
hline(0, 'k');
printname = [plot_path '/fig_1b'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 2a
figure(); clf; hold all;
cmp = colCog(30);
colormap(cmp);
contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), cmip.amp_2d_ens(:, idx35s:idx35n)', -60:4:60, 'linecolor', 'none');
contour(par.landlon+180, par.landlat, par.land, [1 1], 'linecolor', 0.3*[1 1 1], 'linewidth', 1.5);
contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), cmip.w500_2d_ens(:, idx35s:idx35n)', [-par.c_2d_wcrit -par.c_2d_wcrit], 'linecolor', 'r', 'linewidth', 2.5);
xlabel('longitude'); ylabel('latitude');
caxis([-60 60]);
cb = colorbar('limits', [0 60], 'ticks', 0:10:60, 'location', 'eastoutside');
cb.TickLabelInterpreter = 'latex';
cb.Label.Interpreter = 'latex';
ylabel(cb, 'overprediction (\%)', 'fontsize', par.fs_wide);
title('abrupt4$\times$CO$_2$ Multi-model Mean');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
set(gca, 'fontsize', par.fs, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
printname = [plot_path '/fig_2a'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 2b
figure(); clf; hold all;
cmp = colCog(30);
colormap(cmp);
contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amipF_full.amp_2d_ens(:, idx35s:idx35n)', -60:4:60, 'linecolor', 'none');
contour(par.landlon+180, par.landlat, par.land, [1 1], 'linecolor', 0.3*[1 1 1], 'linewidth', 1.5);
contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amipF_full.w500_2d_ens(:, idx35s:idx35n)', [-par.c_2d_wcrit -par.c_2d_wcrit], 'linecolor', 'r', 'linewidth', 2.5);
xlabel('longitude'); ylabel('latitude');
caxis([-60 60]);
cb = colorbar('limits', [0 60], 'ticks', 0:10:60, 'location', 'eastoutside');
cb.TickLabelInterpreter = 'latex';
cb.Label.Interpreter = 'latex';
ylabel(cb, 'overprediction (\%)', 'fontsize', par.fs_wide);
title('amipF+4$\times$CO$_2$ Multi-model Mean');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
set(gca, 'fontsize', par.fs, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
printname = [plot_path '/fig_2b'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 2c
figure(); clf; hold all;
cmp = colCog(30);
colormap(cmp);
contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amipF.amp_2d_ens(:, idx35s:idx35n)', -60:4:60, 'linecolor', 'none');
contour(par.landlon+180, par.landlat, par.land, [1 1], 'linecolor', 0.3*[1 1 1], 'linewidth', 1.5);
contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amipF.w500_2d_ens(:, idx35s:idx35n)', [-par.c_2d_wcrit -par.c_2d_wcrit], 'linecolor', 'r', 'linewidth', 2.5);
xlabel('longitude'); ylabel('latitude');
caxis([-60 60]);
cb = colorbar('limits', [0 60], 'ticks', 0:10:60, 'location', 'eastoutside');
cb.TickLabelInterpreter = 'latex';
cb.Label.Interpreter = 'latex';
ylabel(cb, 'overprediction (\%)', 'fontsize', par.fs_wide);
title('amipF Multi-model Mean');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
set(gca, 'fontsize', par.fs, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
printname = [plot_path '/fig_2c'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 2d
figure(); clf; hold all;
cmp = colCog(30);
colormap(cmp);
contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amip4K.amp_2d_ens(:, idx35s:idx35n)', -60:4:60, 'linecolor', 'none');
contour(par.landlon+180, par.landlat, par.land, [1 1], 'linecolor', 0.3*[1 1 1], 'linewidth', 1.5);
contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amip4K.w500_2d_ens(:, idx35s:idx35n)', [-par.c_2d_wcrit -par.c_2d_wcrit], 'linecolor', 'r', 'linewidth', 2.5);
xlabel('longitude'); ylabel('latitude');
caxis([-60 60]);
cb = colorbar('limits', [0 60], 'ticks', 0:10:60, 'location', 'eastoutside');
cb.TickLabelInterpreter = 'latex';
cb.Label.Interpreter = 'latex';
ylabel(cb, 'overprediction (\%)', 'fontsize', par.fs_wide);
title('amip4K Multi-model Mean');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
set(gca, 'fontsize', par.fs, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
printname = [plot_path '/fig_2d'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 2e
figure(); clf; hold all;
cmp = colCog(30);
colormap(cmp);
contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), aqua.amp_2d_ens(:, idx35s:idx35n)', -60:4:60, 'linecolor', 'none');
contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), aqua.w500_2d_ens(:, idx35s:idx35n)', [-par.c_2d_wcrit -par.c_2d_wcrit], 'linecolor', 'r', 'linewidth', 2.5);
xlabel('longitude'); ylabel('latitude');
caxis([-60 60]);
cb = colorbar('limits', [0 60], 'ticks', 0:10:60, 'location', 'eastoutside');
cb.TickLabelInterpreter = 'latex';
cb.Label.Interpreter = 'latex';
ylabel(cb, 'overprediction (\%)', 'fontsize', par.fs_wide);
title('aqua4K Multi-model Mean');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
set(gca, 'fontsize', par.fs, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
printname = [plot_path '/fig_2e'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 3 
figure(); clf; hold all;
H = notBoxPlot(amp_asc_co2, 'style', 'sdline');
quad_sem = NBP.SEM_calc(amp_asc_co2(:,1));
set([H.data], 'color', 'k', 'Marker', '.');
xtickangle(45);
xticks(1:5);
xticklabels({'abrupt4$\times$CO$_2$', 'amipF+4$\times$CO$_2$', 'amip4K+4$\times$CO$_2$', 'aqua4K+4$\times$CO$_2$'});
%hline(nanmean(amp_asc(:, 1))-quad_sem, ':r');
ylabel('overprediction (\%)');
set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_sq);
set(gca, 'fontsize', par.fs, 'xlim', [0 5], 'ylim', [-20 60], 'ytick', [-20:10:60], 'yminortick', 'on');
hline(0, 'k');
printname = [plot_path '/fig_3'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 4a
% plot temperature response anomaly across tokioka
figure(); clf; hold all;
for i = 1:length(tok)
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    h.(expname) = plot((gfdlrce.(expname).p_3d.ta{1} - gfdlrce.(expname).c_3d.ta{1})/(gfdlrce.(expname).p_3d.ta{1}(1) - gfdlrce.(expname).c_3d.ta{1}(1)), gfdlrce.(expname).c_plev{1}/100, 'color', clrs{i});
end
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
%legend(legarr(h, uni), leg.lab, 'location', 'eastoutside');
axis('tight');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on'); 
printname = [plot_path '/fig_4a'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 4b
figure(); clf; hold all;
for i = 1:length(tok)
if strcmp(tok{i}, '')
    expname = 'edef';
else
    expname = tok{i};
end
h.(expname) = plot((gfdlaqua_idx.(expname).p_3d.ta{1} - gfdlaqua_idx.(expname).c_3d.ta{1})/(gfdlaqua_idx.(expname).p_3d.ta{1}(1) - gfdlaqua_idx.(expname).c_3d.ta{1}(1)), gfdlaqua_idx.(expname).c_plev{1}/100, 'color', clrs{i});
end
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
%legend(legarr(h, uni), leg.lab, 'location', 'eastoutside');
axis('tight');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on'); 
printname = [plot_path '/fig_4b'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 4c
% correlation between climatological bulk entrainment and overprediction
figure(); clf; hold all;
for i = 1:length(tok)
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    h.(expname) = plot(gfdlrce.(expname).c_alm_bulk.*1e3, gfdlrce.(expname).amp*100, '*', 'color', clrs{i});

    % put idx and op in a single matrix to calculate correlation
            corr_alm(i, 1) = log(gfdlrce.(expname).c_alm_bulk*1e3);
            corr_alm(i, 2) = gfdlrce.(expname).amp*100;
end
plot(zbbk_rce.eps_rc*1e3, 100*zbbk_rce.op_rc_z, '-k');
plot(zbbk_rce.eps_r*1e3, 100*zbbk_rce.op_r_z, ':k');
plot(zbbk_rce.eps_so*1e3, 100*zbbk_rce.op_so_z, '--k');
r_alm = corrcoef(corr_alm);
text(1, 4, sprintf('R = $%.2f$', r_alm(1,2)));
xlabel('$\langle \epsilon \rangle$ (1/km)'); ylabel('overprediction (\%)');
set(gcf, 'PaperUnits', 'inches', 'Paperposition', par.ppos);
set(gca, 'FontSize', par.fs, 'xscale', 'log', 'xlim', 1e3*[3e-5 5e-3], 'xtick', 1e3*[1e-4 3e-4 1e-3 3e-3], 'ylim', [2 20], 'ytick', [0:5:20], 'yminortick', 'on');
printname = [plot_path '/fig_4c'];
print(printname, '-dpng', '-loose', '-r300');
close;

% figure 4d
% correlation between climatological bulk entrainment and overprediction
figure(); clf; hold all;
for i = 1:length(tok)
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    h.(expname) = plot(gfdlaqua_idx.(expname).c_alm_bulk.*1e3, gfdlaqua_idx.(expname).amp*100, '*', 'color', clrs{i});

    % put idx and op in a single matrix to calculate correlation
            corr_alm(i, 1) = log(gfdlaqua_idx.(expname).c_alm_bulk*1e3);
            corr_alm(i, 2) = gfdlaqua_idx.(expname).amp*100;
end
r_alm = corrcoef(corr_alm);
text(1, 4, sprintf('R = $%.2f$', r_alm(1,2)));
xlabel('$\langle \epsilon \rangle$ (1/km)'); ylabel('overprediction (\%)');
set(gcf, 'PaperUnits', 'inches', 'Paperposition', par.ppos);
set(gca, 'FontSize', par.fs, 'xscale', 'log', 'xlim', 1e3*[3e-5 5e-3], 'xtick', 1e3*[1e-4 3e-4 1e-3 3e-3], 'ylim', [2 20], 'ytick', [0:5:20], 'yminortick', 'on');
printname = [plot_path '/fig_4d'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 1a
% Vertical profile of amplification
% First interpolate all vertical temperature profiles to a standard vertical grid
for i=1:length(cmip.c_3d.ta)
    cmip.c_3di.ta{i} = interp1(cmip.c_plev{i}, cmip.c_3d.ta{i}, par.pa);
    cmip.p_3di.ta{i} = interp1(cmip.c_plev{i}, cmip.p_3d.ta{i}, par.pa);
    cmip.c_3di.ta_s{i} = interp1(cmip.c_plev{i}, cmip.c_3d.ta_s{i}, par.pa);
    cmip.p_3di.ta_s{i} = interp1(cmip.c_plev{i}, cmip.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
cmip.p_3d_ens.ta = nanmean( cat(1, cmip.p_3di.ta{:}), 1 );
cmip.c_3d_ens.ta = nanmean( cat(1, cmip.c_3di.ta{:}), 1 );
cmip.p_3d_ens.ta_s = nanmean( cat(1, cmip.p_3di.ta_s{:}), 1 );
cmip.c_3d_ens.ta_s = nanmean( cat(1, cmip.c_3di.ta_s{:}), 1 );
cmip.p_2d_ens.tas = nanmean( cat(2, cmip.p_2d.tas{:}), 2 );
cmip.c_2d_ens.tas = nanmean( cat(2, cmip.c_2d.tas{:}), 2 );
% Calculate the warming response
cmip.pc_3d_ens.ta = cmip.p_3d_ens.ta - cmip.c_3d_ens.ta;
cmip.pc_3d_ens.ta_s = cmip.p_3d_ens.ta_s - cmip.c_3d_ens.ta_s;
cmip.pc_2d_ens.tas = cmip.p_2d_ens.tas - cmip.c_2d_ens.tas;
% Plot
figure(); clf; hold all;
h1 = plot(cmip.pc_3d_ens.ta_s/cmip.pc_2d_ens.tas, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(cmip.pc_3d_ens.ta/cmip.pc_2d_ens.tas, par.pa / 100, '-k');
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
legend( [h2 h1], {'abrupt4$\times$CO$_2$ ensemble', 'moist adiabat'}, 'location', 'southeast');
axis('tight');
text(1.07*cmip.pc_3d_ens.ta_s(par.alft)/cmip.pc_2d_ens.tas, par.pa(par.alft)/100, sprintf('%+.2f\\%%', 100*nanmean(cmip.amp)), 'color', [0.85,0.325,0.098],'fontweight', 'bold');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xtick', [1:0.5:3], 'xminortick', 'on');
printname = [plot_path '/fig_s1a'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 1b
% Vertical profile of amplification
% First interpolate all vertical temperature profiles to a standard vertical grid
for i=1:length(amipF.c_3d.ta)
    amipF.c_3di.ta{i} = interp1(amipF.c_plev{i}, amipF.c_3d.ta{i}, par.pa);
    amipF.p_3di.ta{i} = interp1(amipF.c_plev{i}, amipF.p_3d.ta{i}, par.pa);
    amipF.c_3di.ta_s{i} = interp1(amipF.c_plev{i}, amipF.c_3d.ta_s{i}, par.pa);
    amipF.p_3di.ta_s{i} = interp1(amipF.c_plev{i}, amipF.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
amipF.p_3d_ens.ta = nanmean( cat(1, amipF.p_3di.ta{:}), 1 );
amipF.c_3d_ens.ta = nanmean( cat(1, amipF.c_3di.ta{:}), 1 );
amipF.p_3d_ens.ta_s = nanmean( cat(1, amipF.p_3di.ta_s{:}), 1 );
amipF.c_3d_ens.ta_s = nanmean( cat(1, amipF.c_3di.ta_s{:}), 1 );
amipF.p_2d_ens.tas = nanmean( cat(2, amipF.p_2d.tas{:}), 2 );
amipF.c_2d_ens.tas = nanmean( cat(2, amipF.c_2d.tas{:}), 2 );
% Calculate the warming response
amipF.pc_3d_ens.ta = amipF.p_3d_ens.ta - amipF.c_3d_ens.ta;
amipF.pc_3d_ens.ta_s = amipF.p_3d_ens.ta_s - amipF.c_3d_ens.ta_s;
amipF.pc_2d_ens.tas = amipF.p_2d_ens.tas - amipF.c_2d_ens.tas;
% Plot
figure(); clf; hold all;
h1 = plot(amipF.pc_3d_ens.ta_s/amipF.pc_2d_ens.tas, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(amipF.pc_3d_ens.ta/amipF.pc_2d_ens.tas, par.pa / 100, '-k');
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
legend( [h2 h1], {'amipF ensemble', 'moist adiabat'}, 'location', 'southeast');
axis('tight');
text(1.07*amipF.pc_3d_ens.ta_s(par.alft)/amipF.pc_2d_ens.tas, par.pa(par.alft)/100, sprintf('%+.2f\\%%', 100*nanmean(amipF.amp)), 'color', [0.85,0.325,0.098],'fontweight', 'bold');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xtick', [1:0.5:3], 'xminortick', 'on');
printname = [plot_path '/fig_s1b'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 1c
% Vertical profile of amplification
% First interpolate all vertical temperature profiles to a standard vertical grid
for i=1:length(amip4K.c_3d.ta)
    amip4K.c_3di.ta{i} = interp1(amip4K.c_plev{i}, amip4K.c_3d.ta{i}, par.pa);
    amip4K.p_3di.ta{i} = interp1(amip4K.c_plev{i}, amip4K.p_3d.ta{i}, par.pa);
    amip4K.c_3di.ta_s{i} = interp1(amip4K.c_plev{i}, amip4K.c_3d.ta_s{i}, par.pa);
    amip4K.p_3di.ta_s{i} = interp1(amip4K.c_plev{i}, amip4K.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
amip4K.p_3d_ens.ta = nanmean( cat(1, amip4K.p_3di.ta{:}), 1 );
amip4K.c_3d_ens.ta = nanmean( cat(1, amip4K.c_3di.ta{:}), 1 );
amip4K.p_3d_ens.ta_s = nanmean( cat(1, amip4K.p_3di.ta_s{:}), 1 );
amip4K.c_3d_ens.ta_s = nanmean( cat(1, amip4K.c_3di.ta_s{:}), 1 );
amip4K.p_2d_ens.tas = nanmean( cat(2, amip4K.p_2d.tas{:}), 2 );
amip4K.c_2d_ens.tas = nanmean( cat(2, amip4K.c_2d.tas{:}), 2 );
% Calculate the warming response
amip4K.pc_3d_ens.ta = amip4K.p_3d_ens.ta - amip4K.c_3d_ens.ta;
amip4K.pc_3d_ens.ta_s = amip4K.p_3d_ens.ta_s - amip4K.c_3d_ens.ta_s;
amip4K.pc_2d_ens.tas = amip4K.p_2d_ens.tas - amip4K.c_2d_ens.tas;
% Plot
figure(); clf; hold all;
h1 = plot(amip4K.pc_3d_ens.ta_s/amip4K.pc_2d_ens.tas, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(amip4K.pc_3d_ens.ta/amip4K.pc_2d_ens.tas, par.pa / 100, '-k');
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
legend( [h2 h1], {'amip4K ensemble', 'moist adiabat'}, 'location', 'southeast');
axis('tight');
text(1.07*amip4K.pc_3d_ens.ta_s(par.alft)/amip4K.pc_2d_ens.tas, par.pa(par.alft)/100, sprintf('%+.2f\\%%', 100*nanmean(amip4K.amp)), 'color', [0.85,0.325,0.098],'fontweight', 'bold');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xtick', [1:0.5:3], 'xminortick', 'on');
printname = [plot_path '/fig_s1c'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 1d
% Vertical profile of amplification
% First interpolate all vertical temperature profiles to a standard vertical grid
for i=1:length(aqua.c_3d.ta)
    aqua.c_3di.ta{i} = interp1(aqua.c_plev{i}, aqua.c_3d.ta{i}, par.pa);
    aqua.p_3di.ta{i} = interp1(aqua.c_plev{i}, aqua.p_3d.ta{i}, par.pa);
    aqua.c_3di.ta_s{i} = interp1(aqua.c_plev{i}, aqua.c_3d.ta_s{i}, par.pa);
    aqua.p_3di.ta_s{i} = interp1(aqua.c_plev{i}, aqua.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
aqua.p_3d_ens.ta = nanmean( cat(1, aqua.p_3di.ta{:}), 1 );
aqua.c_3d_ens.ta = nanmean( cat(1, aqua.c_3di.ta{:}), 1 );
aqua.p_3d_ens.ta_s = nanmean( cat(1, aqua.p_3di.ta_s{:}), 1 );
aqua.c_3d_ens.ta_s = nanmean( cat(1, aqua.c_3di.ta_s{:}), 1 );
aqua.p_2d_ens.tas = nanmean( cat(2, aqua.p_2d.tas{:}), 2 );
aqua.c_2d_ens.tas = nanmean( cat(2, aqua.c_2d.tas{:}), 2 );
% Calculate the warming response
aqua.pc_3d_ens.ta = aqua.p_3d_ens.ta - aqua.c_3d_ens.ta;
aqua.pc_3d_ens.ta_s = aqua.p_3d_ens.ta_s - aqua.c_3d_ens.ta_s;
aqua.pc_2d_ens.tas = aqua.p_2d_ens.tas - aqua.c_2d_ens.tas;
% Plot
figure(); clf; hold all;
h1 = plot(aqua.pc_3d_ens.ta_s/aqua.pc_2d_ens.tas, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(aqua.pc_3d_ens.ta/aqua.pc_2d_ens.tas, par.pa / 100, '-k');
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
legend( [h2 h1], {'aqua4K ensemble', 'moist adiabat'}, 'location', 'southeast');
axis('tight');
text(1.07*aqua.pc_3d_ens.ta_s(par.alft)/aqua.pc_2d_ens.tas, par.pa(par.alft)/100, sprintf('%+.2f\\%%', 100*nanmean(aqua.amp)), 'color', [0.85,0.325,0.098],'fontweight', 'bold');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xtick', [1:0.5:3], 'xminortick', 'on');
printname = [plot_path '/fig_s1d'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 1e
% Vertical profile of amplification
% First interpolate all vertical temperature profiles to a standard vertical grid
for i=1:length(gfdlaqua.edef.c_3d.ta)
    gfdlaqua.edef.c_3di.ta{i} = interp1(gfdlaqua.edef.c_plev{i}, gfdlaqua.edef.c_3d.ta{i}, par.pa);
    gfdlaqua.edef.p_3di.ta{i} = interp1(gfdlaqua.edef.c_plev{i}, gfdlaqua.edef.p_3d.ta{i}, par.pa);
    gfdlaqua.edef.c_3di.ta_s{i} = interp1(gfdlaqua.edef.c_plev{i}, gfdlaqua.edef.c_3d.ta_s{i}, par.pa);
    gfdlaqua.edef.p_3di.ta_s{i} = interp1(gfdlaqua.edef.c_plev{i}, gfdlaqua.edef.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
gfdlaqua.edef.p_3d_ens.ta = nanmean( cat(1, gfdlaqua.edef.p_3di.ta{:}), 1 );
gfdlaqua.edef.c_3d_ens.ta = nanmean( cat(1, gfdlaqua.edef.c_3di.ta{:}), 1 );
gfdlaqua.edef.p_3d_ens.ta_s = nanmean( cat(1, gfdlaqua.edef.p_3di.ta_s{:}), 1 );
gfdlaqua.edef.c_3d_ens.ta_s = nanmean( cat(1, gfdlaqua.edef.c_3di.ta_s{:}), 1 );
gfdlaqua.edef.p_2d_ens.tas = nanmean( cat(2, gfdlaqua.edef.p_2d.tas{:}), 2 );
gfdlaqua.edef.c_2d_ens.tas = nanmean( cat(2, gfdlaqua.edef.c_2d.tas{:}), 2 );
% Calculate the warming response
gfdlaqua.edef.pc_3d_ens.ta = gfdlaqua.edef.p_3d_ens.ta - gfdlaqua.edef.c_3d_ens.ta;
gfdlaqua.edef.pc_3d_ens.ta_s = gfdlaqua.edef.p_3d_ens.ta_s - gfdlaqua.edef.c_3d_ens.ta_s;
gfdlaqua.edef.pc_2d_ens.tas = gfdlaqua.edef.p_2d_ens.tas - gfdlaqua.edef.c_2d_ens.tas;
% Plot
figure(); clf; hold all;
h1 = plot(gfdlaqua.edef.pc_3d_ens.ta_s/gfdlaqua.edef.pc_2d_ens.tas, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(gfdlaqua.edef.pc_3d_ens.ta/gfdlaqua.edef.pc_2d_ens.tas, par.pa / 100, '-k');
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
legend( [h2 h1], {'GFDLaqua4K', 'moist adiabat'}, 'location', 'southeast');
axis('tight');
text(1.07*gfdlaqua.edef.pc_3d_ens.ta_s(par.alft)/gfdlaqua.edef.pc_2d_ens.tas, par.pa(par.alft)/100, sprintf('%+.2f\\%%', 100*nanmean(gfdlaqua.edef.amp)), 'color', [0.85,0.325,0.098],'fontweight', 'bold');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xtick', [1:0.5:3], 'xminortick', 'on');
printname = [plot_path '/fig_s1e'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 1f
% Vertical profile of amplification
% First interpolate all vertical temperature profiles to a standard vertical grid
for i=1:length(gfdlrce.edef.c_3d.ta)
    gfdlrce.edef.c_3di.ta{i} = interp1(gfdlrce.edef.c_plev{i}, gfdlrce.edef.c_3d.ta{i}, par.pa);
    gfdlrce.edef.p_3di.ta{i} = interp1(gfdlrce.edef.c_plev{i}, gfdlrce.edef.p_3d.ta{i}, par.pa);
    gfdlrce.edef.c_3di.ta_s{i} = interp1(gfdlrce.edef.c_plev{i}, gfdlrce.edef.c_3d.ta_s{i}, par.pa);
    gfdlrce.edef.p_3di.ta_s{i} = interp1(gfdlrce.edef.c_plev{i}, gfdlrce.edef.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
gfdlrce.edef.p_3d_ens.ta = nanmean( cat(1, gfdlrce.edef.p_3di.ta{:}), 1 );
gfdlrce.edef.c_3d_ens.ta = nanmean( cat(1, gfdlrce.edef.c_3di.ta{:}), 1 );
gfdlrce.edef.p_3d_ens.ta_s = nanmean( cat(1, gfdlrce.edef.p_3di.ta_s{:}), 1 );
gfdlrce.edef.c_3d_ens.ta_s = nanmean( cat(1, gfdlrce.edef.c_3di.ta_s{:}), 1 );
gfdlrce.edef.p_2d_ens.tas = nanmean( cat(2, gfdlrce.edef.p_2d.tas{:}), 2 );
gfdlrce.edef.c_2d_ens.tas = nanmean( cat(2, gfdlrce.edef.c_2d.tas{:}), 2 );
% Calculate the warming response
gfdlrce.edef.pc_3d_ens.ta = gfdlrce.edef.p_3d_ens.ta - gfdlrce.edef.c_3d_ens.ta;
gfdlrce.edef.pc_3d_ens.ta_s = gfdlrce.edef.p_3d_ens.ta_s - gfdlrce.edef.c_3d_ens.ta_s;
gfdlrce.edef.pc_2d_ens.tas = gfdlrce.edef.p_2d_ens.tas - gfdlrce.edef.c_2d_ens.tas;
% Plot
figure(); clf; hold all;
h1 = plot(gfdlrce.edef.pc_3d_ens.ta_s/gfdlrce.edef.pc_2d_ens.tas, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(gfdlrce.edef.pc_3d_ens.ta/gfdlrce.edef.pc_2d_ens.tas, par.pa / 100, '-k');
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
legend( [h2 h1], {'GFDLrce4K', 'moist adiabat'}, 'location', 'southeast');
axis('tight');
text(1.07*gfdlrce.edef.pc_3d_ens.ta_s(par.alft)/gfdlrce.edef.pc_2d_ens.tas, par.pa(par.alft)/100, sprintf('%+.2f\\%%', 100*nanmean(gfdlrce.edef.amp)), 'color', [0.85,0.325,0.098],'fontweight', 'bold');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xtick', [1:0.5:3], 'xminortick', 'on');
printname = [plot_path '/fig_s1f'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 2a 
% Vertical profile of amplification due to direct effect of CO2
% Interpolate additional temperature profiles
for i=1:length(amipF.c_3d.ta)
    amipF_full.c_3di.ta{i} = interp1(amipF_full.c_plev{i}, amipF_full.c_3d.ta{i}, par.pa);
    amipF_full.p_3di.ta{i} = interp1(amipF_full.c_plev{i}, amipF_full.p_3d.ta{i}, par.pa);
    amipF_full.c_3di.ta_s{i} = interp1(amipF_full.c_plev{i}, amipF_full.c_3d.ta_s{i}, par.pa);
    amipF_full.p_3di.ta_s{i} = interp1(amipF_full.c_plev{i}, amipF_full.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
amipF_full.p_3d_ens.ta = nanmean( cat(1, amipF_full.p_3di.ta{:}), 1 );
amipF_full.c_3d_ens.ta = nanmean( cat(1, amipF_full.c_3di.ta{:}), 1 );
amipF_full.p_3d_ens.ta_s = nanmean( cat(1, amipF_full.p_3di.ta_s{:}), 1 );
amipF_full.c_3d_ens.ta_s = nanmean( cat(1, amipF_full.c_3di.ta_s{:}), 1 );
% Calculate the warming response
amipF_full.pc_3d_ens.ta = amipF_full.p_3d_ens.ta - amipF_full.c_3d_ens.ta;
amipF_full.pc_3d_ens.ta_s = amipF_full.p_3d_ens.ta_s - amipF_full.c_3d_ens.ta_s;
% Plot
figure(); clf; hold all;
h1 = plot(amipF_full.pc_3d_ens.ta_s - amipF.pc_3d_ens.ta_s, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(amipF_full.pc_3d_ens.ta - amipF.pc_3d_ens.ta, par.pa / 100, 'k');
xlabel('$\Delta{T}$ (K)'); ylabel('p (hPa)');
title('amipF+4$\times$CO$_2$ - amipF');
axis('tight');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xminortick', 'on');
printname = [plot_path '/fig_s2a'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 2b 
% Vertical profile of amplification due to direct effect of CO2
% Interpolate additional temperature profiles
for i=1:length(amip4K.c_3d.ta)
    amip4K_full.c_3di.ta{i} = interp1(amip4K_full.c_plev{i}, amip4K_full.c_3d.ta{i}, par.pa);
    amip4K_full.p_3di.ta{i} = interp1(amip4K_full.c_plev{i}, amip4K_full.p_3d.ta{i}, par.pa);
    amip4K_full.c_3di.ta_s{i} = interp1(amip4K_full.c_plev{i}, amip4K_full.c_3d.ta_s{i}, par.pa);
    amip4K_full.p_3di.ta_s{i} = interp1(amip4K_full.c_plev{i}, amip4K_full.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
amip4K_full.p_3d_ens.ta = nanmean( cat(1, amip4K_full.p_3di.ta{:}), 1 );
amip4K_full.c_3d_ens.ta = nanmean( cat(1, amip4K_full.c_3di.ta{:}), 1 );
amip4K_full.p_3d_ens.ta_s = nanmean( cat(1, amip4K_full.p_3di.ta_s{:}), 1 );
amip4K_full.c_3d_ens.ta_s = nanmean( cat(1, amip4K_full.c_3di.ta_s{:}), 1 );
% Calculate the warming response
amip4K_full.pc_3d_ens.ta = amip4K_full.p_3d_ens.ta - amip4K_full.c_3d_ens.ta;
amip4K_full.pc_3d_ens.ta_s = amip4K_full.p_3d_ens.ta_s - amip4K_full.c_3d_ens.ta_s;
% Plot
figure(); clf; hold all;
h1 = plot(amip4K_full.pc_3d_ens.ta_s - amip4K.pc_3d_ens.ta_s, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(amip4K_full.pc_3d_ens.ta - amip4K.pc_3d_ens.ta, par.pa / 100, 'k');
xlabel('$\Delta{T}$ (K)'); ylabel('p (hPa)');
title('amip4K+4$\times$CO$_2$ - amip4K');
axis('tight');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xminortick', 'on');
printname = [plot_path '/fig_s2b'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary Figure 2c 
% Vertical profile of amplification due to direct effect of CO2
% Interpolate additional temperature profiles
for i=1:length(aqua.c_3d.ta)
    aqua_full.c_3di.ta{i} = interp1(aqua_full.c_plev{i}, aqua_full.c_3d.ta{i}, par.pa);
    aqua_full.p_3di.ta{i} = interp1(aqua_full.c_plev{i}, aqua_full.p_3d.ta{i}, par.pa);
    aqua_full.c_3di.ta_s{i} = interp1(aqua_full.c_plev{i}, aqua_full.c_3d.ta_s{i}, par.pa);
    aqua_full.p_3di.ta_s{i} = interp1(aqua_full.c_plev{i}, aqua_full.p_3d.ta_s{i}, par.pa);
end
% Take ensemble averages
aqua_full.p_3d_ens.ta = nanmean( cat(1, aqua_full.p_3di.ta{:}), 1 );
aqua_full.c_3d_ens.ta = nanmean( cat(1, aqua_full.c_3di.ta{:}), 1 );
aqua_full.p_3d_ens.ta_s = nanmean( cat(1, aqua_full.p_3di.ta_s{:}), 1 );
aqua_full.c_3d_ens.ta_s = nanmean( cat(1, aqua_full.c_3di.ta_s{:}), 1 );
% Calculate the warming response
aqua_full.pc_3d_ens.ta = aqua_full.p_3d_ens.ta - aqua_full.c_3d_ens.ta;
aqua_full.pc_3d_ens.ta_s = aqua_full.p_3d_ens.ta_s - aqua_full.c_3d_ens.ta_s;
% Plot
figure(); clf; hold all;
h1 = plot(aqua_full.pc_3d_ens.ta_s - aqua.pc_3d_ens.ta_s, par.pa / 100, 'color', [0.85,0.325,0.098]);
h2 = plot(aqua_full.pc_3d_ens.ta - aqua.pc_3d_ens.ta, par.pa / 100, 'k');
xlabel('$\Delta{T}$ (K)'); ylabel('p (hPa)');
title('aqua4K+4$\times$CO$_2$ - aqua4K');
axis('tight');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'yscale', 'log', 'ydir', 'reverse', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'tickdir', 'out', 'xminortick', 'on');
printname = [plot_path '/fig_s2c'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary figure 3a
% plot temperature response anomaly across tokioka
figure(); clf; hold all;
for i = 1:length(tok)
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    h.(expname) = plot((gfdlrce_warmtok.(expname).p_3d.ta{1} - gfdlrce_warmtok.edef.c_3d.ta{1})/(gfdlrce_warmtok.(expname).p_3d.ta{1}(1) - gfdlrce_warmtok.edef.c_3d.ta{1}(1)), gfdlrce_warmtok.edef.c_plev{1}/100, 'color', clrs{i});
end
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
%legend(legarr(h, uni), leg.lab, 'location', 'eastoutside');
axis('tight');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on'); 
printname = [plot_path '/fig_s3a'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary figure 3b
figure(); clf; hold all;
for i = 1:length(tok)
if strcmp(tok{i}, '')
    expname = 'edef';
else
    expname = tok{i};
end
h.(expname) = plot((gfdlaqua_warmtok_idx.(expname).p_3d.ta{1} - gfdlaqua_warmtok_idx.edef.c_3d.ta{1})/(gfdlaqua_warmtok_idx.(expname).p_3d.ta{1}(1) - gfdlaqua_warmtok_idx.edef.c_3d.ta{1}(1)), gfdlaqua_warmtok_idx.edef.c_plev{1}/100, 'color', clrs{i});
end
xlabel('$\Delta{T}/\Delta{T}_s$ (unitless)'); ylabel('p (hPa)');
%legend(legarr(h, uni), leg.lab, 'location', 'eastoutside');
axis('tight');
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos);
set(gca, 'fontsize', par.fs, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on'); 
printname = [plot_path '/fig_s3b'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary figure 3c
% correlation between climatological bulk entrainment and overprediction
figure(); clf; hold all;
for i = 1:length(tok)
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    h.(expname) = plot(gfdlrce_warmtok.(expname).p_alm_bulk.*1e3-gfdlrce_warmtok.edef.c_alm_bulk.*1e3, gfdlrce_warmtok.(expname).amp*100, '*', 'color', clrs{i});

    % put idx and op in a single matrix to calculate correlation
            corr_alm(i, 1) = gfdlrce_warmtok.(expname).p_alm_bulk*1e3-gfdlrce_warmtok.edef.c_alm_bulk*1e3;
            corr_alm(i, 2) = gfdlrce_warmtok.(expname).amp*100;
end
plot(zbbk_warmtok_rce.eps_rc4k*1e3-zbbk_warmtok_rce.eps_rc*1e3, 100*zbbk_warmtok_rce.op_rc_z, '-k');
plot(zbbk_warmtok_rce.eps_r4k*1e3-zbbk_warmtok_rce.eps_r*1e3, 100*zbbk_warmtok_rce.op_r_z, ':k');
plot(zbbk_warmtok_rce.eps_so4k*1e3-zbbk_warmtok_rce.eps_so*1e3, 100*zbbk_warmtok_rce.op_so_z, '--k');
r_alm = corrcoef(corr_alm);
text(0.2, -20, sprintf('R = $%.2f$', r_alm(1,2)));
xlabel('$\Delta \langle \epsilon \rangle$ (1/km)'); ylabel('overprediction (\%)');
set(gcf, 'PaperUnits', 'inches', 'Paperposition', par.ppos);
set(gca, 'FontSize', par.fs, 'xlim', [-0.1 0.4], 'ylim', [-60 100], 'xminortick', 'on', 'yminortick', 'on');
printname = [plot_path '/fig_s3c'];
print(printname, '-dpng', '-loose', '-r300');
close;

% Supplementary figure 3d
% correlation between climatological bulk entrainment and overprediction
figure(); clf; hold all;
for i = 1:length(tok)
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    h.(expname) = plot(gfdlaqua_warmtok_idx.(expname).p_alm_bulk.*1e3-gfdlaqua_warmtok_idx.edef.c_alm_bulk.*1e3, gfdlaqua_warmtok_idx.(expname).amp*100, '*', 'color', clrs{i});

    % put idx and op in a single matrix to calculate correlation
            corr_alm(i, 1) = gfdlaqua_warmtok_idx.(expname).p_alm_bulk*1e3-gfdlaqua_warmtok_idx.edef.c_alm_bulk*1e3;
            corr_alm(i, 2) = gfdlaqua_warmtok_idx.(expname).amp*100;
end
r_alm = corrcoef(corr_alm);
text(1, -20, sprintf('R = $%.2f$', r_alm(1,2)));
xlabel('$\Delta \langle \epsilon \rangle$ (1/km)'); ylabel('overprediction (\%)');
set(gcf, 'PaperUnits', 'inches', 'Paperposition', par.ppos);
set(gca, 'FontSize', par.fs, 'xlim', [-1 1.75], 'ylim', [-60 100], 'xminortick', 'on', 'yminortick', 'on');
printname = [plot_path '/fig_s3d'];
print(printname, '-dpng', '-loose', '-r300');
close;