addpath(genpath('../tools'));

% standard vertical pressure grid for interpolation
par.n_pa = 100; % number of vertical grids
par.pa = 100 * linspace(1000, 100, par.n_pa); % set bounds in hPa
par.pa_alft = 100 * 300; % set pressure level to evaluate overprediction (300 hPa in paper)
[~, par.alft] = min(abs(par.pa - par.pa_alft)); % save index of where this pressure level is

% define standard set of colors
par.purple = [0.494, 0.184, 0.556];
par.darkbrown = 0.2*[0.635, 0.078, 0.184];
par.brown = 0.5*[0.635, 0.078, 0.184];
par.ruby = 1/255 * [120, 15, 35];
par.maroon = [0.635, 0.078, 0.184];
par.paprika = 1/255 * [192, 51, 40];
par.orange = [0.85, 0.325, 0.098];
par.tangerine = 1/255 * [230, 131, 17];
par.yellow = [0.929, 0.694, 0.125];
par.lemongrass = 1/255 * [178,177,25];
par.aquamarine = 1/255 * [0, 191, 171];
par.green = [0.466, 0.674, 0.188];
par.cyan = [0.301, 0.745, 0.933];
par.cerulean = 1/255 * [33, 152, 215];
par.blue = [0, 0.447, 0.741];
par.darkblue = 0.5*[0, 0.447, 0.741];
par.navy = 0.2*[0, 0.447, 0.741];
