% load AM2 data across various tokioka parameters
for i = 1:length(tok)
    % GFDLrce data
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    gfdlrce.(expname) = load(['../data/am2_aq' tok{i} '_uni_eps_850_200_10.mat']); 

    % GFDLaqua data
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    gfdlaqua.(expname) = load(['../data/am2_aq' tok{i} '_eps_850_200_10.mat']);

end

% load CMIP data
cmip = load(['../data/cmip5_quad_all_eps_850_200_10.mat']);
amp_std(:,1) = cmip.amp*100; 
amp_co2(:,1) = cmip.amp*100; 

% load amipF data
amipF = load(['../data/cmip5_amipF_eps_850_200_10.mat']);
amp_std(1:length(amipF.amp),2) = amipF.amp*100; 

% load amipF_full data
amipF_full = load(['../data/cmip5_amipF_Full_eps_850_200_10.mat']);
amp_co2(1:length(amipF.amp),2) = amipF_full.amp*100; 

% load amip4K data
amip4K = load(['../data/cmip5_amip4K_eps_850_200_10.mat']);
amp_std(1:length(amip4K.amp),3) = amip4K.amp*100; 

% load amip4K_full data
amip4K_full = load(['../data/cmip5_amip4K_Full_eps_850_200_10.mat']);
amp_co2(1:length(amip4K.amp),3) = amip4K_full.amp*100; 

% load aqua data
aqua = load(['../data/cmip5_aqua_eps_850_200_10.mat']);
amp_std(1:length(aqua.amp),4) = aqua.amp*100;

% load aqua_full data
aqua_full = load(['../data/cmip5_aqua_Full_eps_850_200_10.mat']);
amp_co2(1:length(aqua.amp),4) = aqua_full.amp*100;

% ------
% Repeat but now load data filtered over strong convection
% ------

% load AM2 data across various tokioka parameters
for i = 1:length(tok)
    % GFDLaqua data
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end
    gfdlaqua_idx.(expname) = load(['../data/am2_aq' tok{i} '_eps_850_200_idx_10.mat']);

end

% load CMIP data
cmip_idx = load(['../data/cmip5_quad_all_eps_850_200_idx_10.mat']);
amp_asc(:,1) = cmip_idx.amp*100; 
amp_asc_co2(:,1) = cmip_idx.amp*100; 

% load amipF_idx data
amipF_idx = load(['../data/cmip5_amipF_eps_850_200_idx_10.mat']);
amp_asc(1:length(amipF.amp),2) = amipF_idx.amp*100; 

% load amipF_idx_full data
amipF_idx_full = load(['../data/cmip5_amipF_Full_eps_850_200_idx_10.mat']);
amp_asc_co2(1:length(amipF.amp),2) = amipF_idx_full.amp*100; 

% load amip4K_idx data
amip4K_idx = load(['../data/cmip5_amip4K_eps_850_200_idx_10.mat']);
amp_asc(1:length(amip4K.amp),3) = amip4K_idx.amp*100; 

% load amip4K_idx_full data
amip4K_idx_full = load(['../data/cmip5_amip4K_Full_eps_850_200_idx_10.mat']);
amp_asc_co2(1:length(amip4K.amp),3) = amip4K_idx_full.amp*100; 

% load aqua_idx data
aqua_idx = load(['../data/cmip5_aqua_eps_850_200_idx_10.mat']);
amp_asc(1:length(aqua.amp),4) = aqua_idx.amp*100;

% load aqua_idx_full data
aqua_idx_full = load(['../data/cmip5_aqua_Full_eps_850_200_idx_10.mat']);
amp_asc_co2(1:length(aqua.amp),4) = aqua_idx_full.amp*100;

% ------
% load AM2 data where I vary the Tokioka parameter in the warmer climate
% ------
for i = 1:length(tok)
    if strcmp(tok{i}, '')
        expname = 'edef';
    else
        expname = tok{i};
    end

    if strcmp(tok{i}, '')
        gfdlrce_warmtok.(expname) = load(['../data/am2_aq' tok{i} '_uni_eps_850_200_10.mat']);
        gfdlaqua_warmtok.(expname) = load(['../data/am2_aq' tok{i} '_eps_850_200_10.mat']);
        gfdlaqua_warmtok_idx.(expname) = load(['../data/am2_aq' tok{i} '_eps_850_200_idx_10.mat']);
    else
        gfdlrce_warmtok.(expname) = load(['../data/am2_aq_uni_aq' tok{i} '_uni_eps_850_200_10.mat']);
        gfdlaqua_warmtok.(expname) = load(['../data/am2_aq_aq' tok{i} '_eps_850_200_10.mat']);
        gfdlaqua_warmtok_idx.(expname) = load(['../data/am2_aq_aq' tok{i} '_eps_850_200_idx_10.mat']);
    end
end

% -----
% load entrainment and overprediction sensitivities derived from SO13, R14, and R16
% -----
zbbk_rce = load('../data/romps_sweep_uni.mat');
zbbk_aqua = load('../data/romps_sweep.mat');
zbbk_warmtok_rce = load('../data/romps_deps_sweep_uni.mat');
zbbk_warmtok_aqua = load('../data/romps_deps_sweep.mat');
