function synth_cmip_amp_comp(tok, tok_num, clrs, leg, type, sim, idx, uni, bnd, par, option)

	addpath(genpath('./tools'));

	if isempty(option)
		matname = 'mat';
	else
		matname = ['mat_' option];
	end

	plot_path = sprintf([localdir idx mfilename '_' uni '%g/eps_%g_%g/'], bnd, par.pa_eps_lo/100, par.pa_eps_up/100);
	if not(exist(plot_path, 'dir'))
		mkdir(plot_path);
	end
	delete([plot_path '*.png']);

	par.ppos_op = [0 0 13/3 10/3];
	par.fs = 10;
	par.fs_larger = 12;

	cmip_data = nan(29, 10);
	all_data = nan(29, 9);

	% load data across various tokioka parameters
	for i = 1:length(tok)
		load(['./' matname '/am2_aq' tok{i} '_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);

		if strcmp(tok{i}, '')
			expname = 'edef';
		else
			expname = tok{i};
		end

		all_data(i, 8) = amp*100;
		all_data2{8}(i) = amp*100;
		op_am2.(expname) = amp*100; 
		p_2d_am2.(expname) = p_2d; 
		c_2d_am2.(expname) = c_2d;

		load(['./' matname '/am2_aq' tok{i} '_uni_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' num2str(bnd) '.mat']); % note that idx is not considered for the RCE configuration

		if strcmp(tok{i}, '')
			expname = 'edef';
		else
			expname = tok{i};
		end

		all_data(i, 9) = amp*100;
		all_data2{9}(i) = amp*100;
		op_am2_uni.(expname) = amp*100; 
		p_2d_am2_uni.(expname) = p_2d; 
		c_2d_am2_uni.(expname) = c_2d;

	end

	% load CMIP data
	cmip = load(['./' matname '/cmip5_quad_all_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);
	op_cmip_quad = cmip.amp*100; 
	p_2d_cmip_quad = cmip.p_2d; 
	c_2d_cmip_quad = cmip.c_2d;
	pctas_cmip_quad = cell2mat(p_2d_cmip_quad.tas) - cell2mat(c_2d_cmip_quad.tas);

	% load amipF data
	amipF = load(['./' matname '/cmip5_amipF_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);
	op_cmip_amipF = amipF.amp*100; 
	p_2d_cmip_amipF = amipF.p_2d; 
	c_2d_cmip_amipF = amipF.c_2d;
	pctas_cmip_amipF = cell2mat(p_2d_cmip_amipF.tas) - cell2mat(c_2d_cmip_amipF.tas);

	% load amipF_full data
	amipF_full = load(['./' matname '/cmip5_amipF_Full_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);
	op_cmip_amipF_full = amipF_full.amp*100; 
	p_2d_cmip_amipF_full = amipF_full.p_2d; 
	c_2d_cmip_amipF_full = amipF_full.c_2d;
	pctas_cmip_amipF_full = cell2mat(p_2d_cmip_amipF_full.tas) - cell2mat(c_2d_cmip_amipF_full.tas);

	% load amip4K data
	amip4K = load(['./' matname '/cmip5_amip4K_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);
	op_cmip_amip4K = amip4K.amp*100; 
	p_2d_cmip_amip4K = amip4K.p_2d; 
	c_2d_cmip_amip4K = amip4K.c_2d;
	pctas_cmip_amip4K = cell2mat(p_2d_cmip_amip4K.tas) - cell2mat(c_2d_cmip_amip4K.tas);

	% load amip4K_full data
	amip4K_full = load(['./' matname '/cmip5_amip4K_Full_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);
	op_cmip_amip4K_full = amip4K_full.amp*100; 
	p_2d_cmip_amip4K_full = amip4K_full.p_2d; 
	c_2d_cmip_amip4K_full = amip4K_full.c_2d;
	pctas_cmip_amip4K_full = cell2mat(p_2d_cmip_amip4K_full.tas) - cell2mat(c_2d_cmip_amip4K_full.tas);

	% load aqua data
	aqua = load(['./' matname '/cmip5_aqua_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);
	op_cmip_aqua = aqua.amp*100;
	p_2d_cmip_aqua = aqua.p_2d; 
	c_2d_cmip_aqua = aqua.c_2d;
	pctas_cmip_aqua = cell2mat(p_2d_cmip_aqua.tas) - cell2mat(c_2d_cmip_aqua.tas);

	% load aqua_full data
	aqua_full = load(['./' matname '/cmip5_aqua_Full_eps_' num2str(par.pa_eps_lo/100) '_' num2str(par.pa_eps_up/100) '_' idx num2str(bnd) '.mat']);
	op_cmip_aqua_full = aqua_full.amp*100;
	p_2d_cmip_aqua_full = aqua_full.p_2d; 
	c_2d_cmip_aqua_full = aqua_full.c_2d;
	pctas_cmip_aqua_full = cell2mat(p_2d_cmip_aqua_full.tas) - cell2mat(c_2d_cmip_aqua_full.tas);

	par
	return

	% vertical temperature response profiles
	% interpolate to standard vertical grid
	for k=1:length(amipF_full.c_3d.ta)
		amipF.c_3di.ta{k} = interp1(amipF.c_plev{k}, amipF.c_3d.ta{k}, par.pa);
		amipF.p_3di.ta{k} = interp1(amipF.c_plev{k}, amipF.p_3d.ta{k}, par.pa);
		amipF.c_3di.ta_s{k} = interp1(amipF.c_plev{k}, amipF.c_3d.ta_s{k}, par.pa);
		amipF.p_3di.ta_s{k} = interp1(amipF.c_plev{k}, amipF.p_3d.ta_s{k}, par.pa);
		amipF_full.c_3di.ta{k} = interp1(amipF_full.c_plev{k}, amipF_full.c_3d.ta{k}, par.pa);
		amipF_full.p_3di.ta{k} = interp1(amipF_full.c_plev{k}, amipF_full.p_3d.ta{k}, par.pa);
		amipF_full.c_3di.ta_s{k} = interp1(amipF_full.c_plev{k}, amipF_full.c_3d.ta_s{k}, par.pa);
		amipF_full.p_3di.ta_s{k} = interp1(amipF_full.c_plev{k}, amipF_full.p_3d.ta_s{k}, par.pa);
	end
	% take ensemble averages of temperature response
	amipF_pc_ta = nanmean(cat(1,amipF.p_3di.ta{:}),1) - nanmean(cat(1,amipF.c_3di.ta{:}),1);
	amipF_pc_ta_s = nanmean(cat(1,amipF.p_3di.ta_s{:}),1) - nanmean(cat(1,amipF.c_3di.ta_s{:}),1);
	amipF_full_pc_ta = nanmean(cat(1,amipF_full.p_3di.ta{:}),1) - nanmean(cat(1,amipF_full.c_3di.ta{:}),1);
	amipF_full_pc_ta_s = nanmean(cat(1,amipF_full.p_3di.ta_s{:}),1) - nanmean(cat(1,amipF_full.c_3di.ta_s{:}),1);

	for k=1:length(amip4K_full.c_3d.ta)
		amip4K.c_3di.ta{k} = interp1(amip4K.c_plev{k}, amip4K.c_3d.ta{k}, par.pa);
		amip4K.p_3di.ta{k} = interp1(amip4K.c_plev{k}, amip4K.p_3d.ta{k}, par.pa);
		amip4K.c_3di.ta_s{k} = interp1(amip4K.c_plev{k}, amip4K.c_3d.ta_s{k}, par.pa);
		amip4K.p_3di.ta_s{k} = interp1(amip4K.c_plev{k}, amip4K.p_3d.ta_s{k}, par.pa);
		amip4K_full.c_3di.ta{k} = interp1(amip4K_full.c_plev{k}, amip4K_full.c_3d.ta{k}, par.pa);
		amip4K_full.p_3di.ta{k} = interp1(amip4K_full.c_plev{k}, amip4K_full.p_3d.ta{k}, par.pa);
		amip4K_full.c_3di.ta_s{k} = interp1(amip4K_full.c_plev{k}, amip4K_full.c_3d.ta_s{k}, par.pa);
		amip4K_full.p_3di.ta_s{k} = interp1(amip4K_full.c_plev{k}, amip4K_full.p_3d.ta_s{k}, par.pa);
	end
	% take ensemble averages of temperature response
	amip4K_pc_ta = nanmean(cat(1,amip4K.p_3di.ta{:}),1) - nanmean(cat(1,amip4K.c_3di.ta{:}),1);
	amip4K_pc_ta_s = nanmean(cat(1,amip4K.p_3di.ta_s{:}),1) - nanmean(cat(1,amip4K.c_3di.ta_s{:}),1);
	amip4K_full_pc_ta = nanmean(cat(1,amip4K_full.p_3di.ta{:}),1) - nanmean(cat(1,amip4K_full.c_3di.ta{:}),1);
	amip4K_full_pc_ta_s = nanmean(cat(1,amip4K_full.p_3di.ta_s{:}),1) - nanmean(cat(1,amip4K_full.c_3di.ta_s{:}),1);

	for k=1:length(aqua_full.c_3d.ta)
		aqua.c_3di.ta{k} = interp1(aqua.c_plev{k}, aqua.c_3d.ta{k}, par.pa);
		aqua.p_3di.ta{k} = interp1(aqua.c_plev{k}, aqua.p_3d.ta{k}, par.pa);
		aqua.c_3di.ta_s{k} = interp1(aqua.c_plev{k}, aqua.c_3d.ta_s{k}, par.pa);
		aqua.p_3di.ta_s{k} = interp1(aqua.c_plev{k}, aqua.p_3d.ta_s{k}, par.pa);
		aqua_full.c_3di.ta{k} = interp1(aqua_full.c_plev{k}, aqua_full.c_3d.ta{k}, par.pa);
		aqua_full.p_3di.ta{k} = interp1(aqua_full.c_plev{k}, aqua_full.p_3d.ta{k}, par.pa);
		aqua_full.c_3di.ta_s{k} = interp1(aqua_full.c_plev{k}, aqua_full.c_3d.ta_s{k}, par.pa);
		aqua_full.p_3di.ta_s{k} = interp1(aqua_full.c_plev{k}, aqua_full.p_3d.ta_s{k}, par.pa);
	end
	% take ensemble averages of temperature response
	aqua_pc_ta = nanmean(cat(1,aqua.p_3di.ta{:}),1) - nanmean(cat(1,aqua.c_3di.ta{:}),1);
	aqua_pc_ta_s = nanmean(cat(1,aqua.p_3di.ta_s{:}),1) - nanmean(cat(1,aqua.c_3di.ta_s{:}),1);
	aqua_full_pc_ta = nanmean(cat(1,aqua_full.p_3di.ta{:}),1) - nanmean(cat(1,aqua_full.c_3di.ta{:}),1);
	aqua_full_pc_ta_s = nanmean(cat(1,aqua_full.p_3di.ta_s{:}),1) - nanmean(cat(1,aqua_full.c_3di.ta_s{:}),1);

	% plot the responses
	figure(); clf; hold all;
	h1=plot(aqua_pc_ta, par.pa/100, '-k');
	h2=plot(aqua_pc_ta_s, par.pa/100, '-', 'color', par.orange);
	h3=plot(aqua_full_pc_ta, par.pa/100, '--k');
	h4=plot(aqua_full_pc_ta_s, par.pa/100, '--', 'color', par.orange);
	xlabel('$\Delta$T (K)'); ylabel('p (hPa)');
	axis('tight')
	legend([h1 h2 h3 h4], 'aqua4K mean', 'aqua4K moist adiabat', 'aqua4K+4xCO2 mean', 'aqua4K+4xCO2 moist adiabat', 'location', 'eastoutside');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_wider)
	set(gca, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000]);
	printname = sprintf([plot_path './pc_ta_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot the difference in responses (with and without direct effect)
	figure(); clf; hold all;
	h1=plot(amipF_full_pc_ta-amipF_pc_ta, par.pa/100, '-k');
	h2=plot(amipF_full_pc_ta_s-amipF_pc_ta_s, par.pa/100, '-', 'color', par.orange);
	xlabel('$\Delta$T (K)'); ylabel('p (hPa)');
	axis('tight')
	title('amipF+4$\times$CO$_2$ $-$ amipF');
	%legend([h1 h2], 'Model ensemble', 'Moist adiabat', 'location', 'eastoutside');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos)
	set(gca, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on');
	printname = sprintf([plot_path './pc_ta_diff_amipF_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot the difference in responses (with and without direct effect)
	figure(); clf; hold all;
	h1=plot(amip4K_full_pc_ta-amip4K_pc_ta, par.pa/100, '-k');
	h2=plot(amip4K_full_pc_ta_s-amip4K_pc_ta_s, par.pa/100, '-', 'color', par.orange);
	xlabel('$\Delta$T (K)'); ylabel('p (hPa)');
	axis('tight')
	title('amip4K+4$\times$CO$_2$ $-$ amip4K');
	%legend([h1 h2], 'Model ensemble', 'Moist adiabat', 'location', 'eastoutside');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos)
	set(gca, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on');
	printname = sprintf([plot_path './pc_ta_diff_amip4K_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot the difference in responses (with and without direct effect)
	figure(); clf; hold all;
	h1=plot(aqua_full_pc_ta-aqua_pc_ta, par.pa/100, '-k');
	h2=plot(aqua_full_pc_ta_s-aqua_pc_ta_s, par.pa/100, '-', 'color', par.orange);
	xlabel('$\Delta$T (K)'); ylabel('p (hPa)');
	axis('tight')
	title('aqua4K+4$\times$CO$_2$ $-$ aqua4K');
	%legend([h1 h2], 'Model ensemble', 'Moist adiabat', 'location', 'eastoutside');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos)
	set(gca, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on');
	printname = sprintf([plot_path './pc_ta_diff_aqua_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot the difference in responses (with and without direct effect)
	figure(); clf; hold all;
	h1=plot(aqua_full_pc_ta-aqua_pc_ta, par.pa/100, '-k');
	h2=plot(aqua_full_pc_ta_s-aqua_pc_ta_s, par.pa/100, '-', 'color', par.orange);
	xlabel('$\Delta$T (K)'); ylabel('p (hPa)');
	axis('tight')
	title('aqua4K+4$\times$CO$_2$ $-$ aqua4K');
	legend([h1 h2], 'Model ensemble', 'Moist adiabat', 'location', 'eastoutside');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_wider)
	set(gca, 'ydir', 'reverse', 'yscale', 'log', 'ylim', [200 1000], 'ytick', [200 300 400:200:1000], 'xminortick', 'on');
	printname = sprintf([plot_path './pc_ta_diff_legend_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	%% lat-lon plots
	% plot climate change amp (lat x lon)
	figure(); clf; hold all;
	cmp = colCog(30);
	colormap(cmp);
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), 100 * (amipF_full.p_2dt_ens.ts300(:, idx35s:idx35n)'-amipF_full.c_2dt_ens.ts300(:, idx35s:idx35n)' - (amipF_full.p_2dt_ens.t300(:, idx35s:idx35n)' - amipF.c_2dt_ens.t300(:, idx35s:idx35n)') )./(amipF_full.p_2dt_ens.tas(:, idx35s:idx35n)' - amipF_full.c_2dt_ens.tas(:, idx35s:idx35n)') - 100 * (amipF.p_2dt_ens.ts300(:, idx35s:idx35n)'-amipF.c_2dt_ens.ts300(:, idx35s:idx35n)' - (amipF.p_2dt_ens.t300(:, idx35s:idx35n)' - amipF.c_2dt_ens.t300(:, idx35s:idx35n)') )./(amipF.p_2dt_ens.tas(:, idx35s:idx35n)' - amipF.c_2dt_ens.tas(:, idx35s:idx35n)'), 0:10/30:10, 'linecolor', 'none');
	contour(par.landlon+180, par.landlat, par.land, [1 1], 'linecolor', 0.3*[1 1 1], 'linewidth', 1.5);
	contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amipF.c_2dt_ens.w500(:, idx35s:idx35n)', [-35 -35]* 100 / (3600 * 24), 'linecolor', 'r', 'linewidth', 2.5);
	xlabel('longitude'); ylabel('latitude');
	caxis([-10 10]);
	cb = colorbar('limits', [0 10], 'ticks', 0:2:10, 'location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, 'overprediction (\%)', 'fontsize', par.fs_wide);
	title('amipF');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
	printname = sprintf([plot_path './pc_ll_amp_idx_w_amipF_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	%% lat-lon plots
	% plot climate change amp (lat x lon)
	figure(); clf; hold all;
	cmp = colCog(30);
	colormap(cmp);
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), 100 * (amipF_full.p_2dt_ens.ts300(:, idx35s:idx35n)'-amipF_full.c_2dt_ens.ts300(:, idx35s:idx35n)' )./(amipF_full.p_2dt_ens.tas(:, idx35s:idx35n)' - amipF_full.c_2dt_ens.tas(:, idx35s:idx35n)') - 100 * (amipF.p_2dt_ens.ts300(:, idx35s:idx35n)'-amipF.c_2dt_ens.ts300(:, idx35s:idx35n)' )./(amipF.p_2dt_ens.tas(:, idx35s:idx35n)' - amipF.c_2dt_ens.tas(:, idx35s:idx35n)'), 0:10/30:10, 'linecolor', 'none');
	contour(par.landlon+180, par.landlat, par.land, [1 1], 'linecolor', 0.3*[1 1 1], 'linewidth', 1.5);
	contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amipF.c_2dt_ens.w500(:, idx35s:idx35n)', [-35 -35]* 100 / (3600 * 24), 'linecolor', 'r', 'linewidth', 2.5);
	xlabel('longitude'); ylabel('latitude');
	caxis([-10 10]);
	cb = colorbar('limits', [0 10], 'ticks', 0:2:10, 'location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '$A_m$ (\%)', 'fontsize', par.fs_wide);
	title('amipF');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
	printname = sprintf([plot_path './pc_ll_amp_m_idx_w_amipF_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	%% lat-lon plots
	% plot climate change amp (lat x lon)
	figure(); clf; hold all;
	cmp = colCog(30);
	colormap(cmp);
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), 100 * (amipF_full.p_2dt_ens.t300(:, idx35s:idx35n)'-amipF_full.c_2dt_ens.t300(:, idx35s:idx35n)' )./(amipF_full.p_2dt_ens.tas(:, idx35s:idx35n)' - amipF_full.c_2dt_ens.tas(:, idx35s:idx35n)') - 100 * (amipF.p_2dt_ens.t300(:, idx35s:idx35n)'-amipF.c_2dt_ens.t300(:, idx35s:idx35n)' )./(amipF.p_2dt_ens.tas(:, idx35s:idx35n)' - amipF.c_2dt_ens.tas(:, idx35s:idx35n)'), 0:10/30:10, 'linecolor', 'none');
	contour(par.landlon+180, par.landlat, par.land, [1 1], 'linecolor', 0.3*[1 1 1], 'linewidth', 1.5);
	contour(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), amipF.c_2dt_ens.w500(:, idx35s:idx35n)', [-35 -35]* 100 / (3600 * 24), 'linecolor', 'r', 'linewidth', 2.5);
	xlabel('longitude'); ylabel('latitude');
	caxis([-10 10]);
	cb = colorbar('limits', [0 10], 'ticks', 0:2:10, 'location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '$A_g$ (\%)', 'fontsize', par.fs_wide);
	title('amipF');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 358], 'xtick', [0:30:360], 'ylim', [-10 10], 'ytick', -10:5:10, 'tickdir', 'out');
	printname = sprintf([plot_path './pc_ll_amp_g_idx_w_amipF_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% standard box plot
	figure(); clf; hold all;
	cmip_data(1:length(op_cmip_quad), 1) = op_cmip_quad';
	cmip_data(1:length(op_cmip_amipF), 3) = op_cmip_amipF_full';
	cmip_data(1:length(op_cmip_amipF), 4) = op_cmip_amipF';
	cmip_data(1:length(op_cmip_amip4K), 6) = op_cmip_amip4K_full';
	cmip_data(1:length(op_cmip_amip4K), 7) = op_cmip_amip4K';
	cmip_data(1:length(op_cmip_aqua), 9) = op_cmip_aqua_full';
	cmip_data(1:length(op_cmip_aqua), 10) = op_cmip_aqua';
	all_data(1:length(op_cmip_quad), 1) = op_cmip_quad';
	all_data(1:length(op_cmip_amipF), 2) = op_cmip_amipF';
	all_data(1:length(op_cmip_amip4K), 3) = op_cmip_amip4K';
	all_data(1:length(op_cmip_aqua), 4) = op_cmip_aqua';
	all_data(1:length(op_cmip_amipF), 5) = op_cmip_amipF_full';
	all_data(1:length(op_cmip_amip4K), 6) = op_cmip_amip4K_full';
	all_data(1:length(op_cmip_aqua), 7) = op_cmip_aqua_full';
	boxplot(cmip_data, 'whisker', 2);
	for j = 1:7
		plot(j, nanmean(cmip_data(:,j),1), '+r');	
	end
	box off;
	bp = gca;
	bp.XAxis.TickLabelInterpreter = 'latex';
	bp.YAxis.TickLabelInterpreter = 'latex';
	%plotSpread(all_data, 'distributioncolors', 'k');
	xtickangle(45);
	xticks(1:10);
	xticklabels({'abrupt4$\times$CO$_2$', '', 'amipF+4$\times$CO$_2$', 'amipFuture', '', 'amip4K+4$\times$CO$_2$', 'amip4K', '', 'aqua4K+4$\times$CO$_2$', 'aqua4K'});
	ylabel('overprediction$_{\;\mathrm{warm}\,-\,\mathrm{ctrl}}$ (\%)');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_op);
	%set(gca, 'fontsize', par.fs, 'xlim', [0 8], 'ylim', [-20 60], 'ytick', [-10:10:30]);
	hline(0, 'k');
	printname = sprintf([plot_path './pc_type_op_box_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% overprediction across model types
	diff_data = nan(29,4);
	figure(); clf; hold all;
	diff_data(1:length(op_cmip_amipF),2) = op_cmip_amipF_full' - op_cmip_amipF';
	diff_data(1:length(op_cmip_amip4K),3) = op_cmip_amip4K_full' - op_cmip_amip4K';
	diff_data(1:length(op_cmip_aqua),4) = op_cmip_aqua_full' - op_cmip_aqua';
	H = notBoxPlot(diff_data, 'style', 'sdline');
	%quad_sem = NBP.SEM_calc(cmip_data(:,1));
	set([H.data], 'color', 'k', 'Marker', '.');
	xtickangle(45);
	xticks(1:5);
	xticklabels({'abrupt4$\times$CO$_2$', 'amipF', 'amip4K', 'aqua4K'});
	%hline(nanmean(cmip_data(:, 1))-quad_sem, ':r');
	%gfdl_data = all_data; gfdl_data(:,1:4) = nan;
	%plotSpread(gfdl_data, 'distributioncolors', 'k');
	%plot(0, nanmean(nanmean(cmip_data)), '+r');
	ylabel('$O_{\mathrm{CO_2}}$ (\%)');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_op);
	set(gca, 'fontsize', par.fs, 'xlim', [0 5], 'yminortick', 'on');
	hline(0, 'k');
	printname = sprintf([plot_path './pc_type_op_notbox_co2_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% overprediction across model types
	figure(); clf; hold all;
	H = notBoxPlot(cmip_data, 'style', 'sdline');
	%quad_sem = NBP.SEM_calc(cmip_data(:,1));
	set([H.data], 'color', 'k', 'Marker', '.');
	xtickangle(45);
	xticks(1:10);
	xticklabels({'abrupt4$\times$CO$_2$', '', 'amipF+4$\times$CO$_2$', 'amipF', '', 'amip4K+4$\times$CO$_2$', 'amip4K', '', 'aqua4K+4$\times$CO$_2$', 'aqua4K'});
	%hline(nanmean(cmip_data(:, 1))-quad_sem, ':r');
	%gfdl_data = all_data; gfdl_data(:,1:4) = nan;
	%plotSpread(gfdl_data, 'distributioncolors', 'k');
	%plot(0, nanmean(nanmean(cmip_data)), '+r');
	ylabel('overprediction (\%)');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_op);
	set(gca, 'fontsize', par.fs_larger, 'xlim', [0 11], 'ylim', [-20 60], 'ytick', [-20:10:60], 'yminortick', 'on');
	hline(0, 'k');
	printname = sprintf([plot_path './pc_type_op_notbox_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	m_cmip_data = nan(29,4);
	g_cmip_data = nan(29,4);
	% moist adiabat amplification across model types
	figure(); clf; hold all;
	m_cmip_data(1:length(op_cmip_amipF), 2) = amipF_full.amp_m' - amipF.amp_m';
	m_cmip_data(1:length(op_cmip_amip4K), 3) = amip4K_full.amp_m' - amip4K.amp_m';
	m_cmip_data(1:length(op_cmip_aqua), 4) = aqua_full.amp_m' - aqua.amp_m';
	H = notBoxPlot(m_cmip_data*100, 'style', 'sdline');
	quad_sem = NBP.SEM_calc(cmip_data(:,1));
	set([H.data], 'color', 'k', 'Marker', '.');
	xtickangle(45);
	xticks(1:5);
	xticklabels({'abrupt4$\times$CO$_2$', 'amipFuture', 'amip4K', 'aqua4K'});
	%hline(nanmean(cmip_data(:, 1))-quad_sem, ':r');
	%plot(0, nanmean(nanmean(cmip_data)), '+r')
	ylabel('$\Delta A_m$ (\%)');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_op);
	%set(gca, 'fontsize', par.fs, 'xlim', [0 7], 'ylim', [-20 60], 'ytick', [-20:10:60], 'yminortick', 'on');
	hline(0, 'k');
	printname = sprintf([plot_path './pc_type_amp_m_notbox_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% gcm amplification across model types
	figure(); clf; hold all;
	g_cmip_data(1:length(op_cmip_amipF), 2) = amipF_full.amp_g' - amipF.amp_g';
	g_cmip_data(1:length(op_cmip_amip4K), 3) = amip4K_full.amp_g' - amip4K.amp_g';
	g_cmip_data(1:length(op_cmip_aqua), 4) = aqua_full.amp_g' - aqua.amp_g';
	H = notBoxPlot(-g_cmip_data*100, 'style', 'sdline');
	quad_sem = NBP.SEM_calc(cmip_data(:,1));
	set([H.data], 'color', 'k', 'Marker', '.');
	xtickangle(45);
	xticks(1:5);
	xticklabels({'abrupt4$\times$CO$_2$', 'amipFuture', 'amip4K', 'aqua4K'});
	%hline(nanmean(cmip_data(:, 1))-quad_sem, ':r');
	ylabel('$\Delta A_g$ (\%)');
	set(gcf, 'paperunits', 'inches', 'paperposition', par.ppos_op);
	%set(gca, 'fontsize', par.fs, 'xlim', [0 7], 'ylim', [-20 60], 'ytick', [-20:10:60], 'yminortick', 'on');
	hline(0, 'k');
	printname = sprintf([plot_path './pc_type_amp_g_notbox_%g'], bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% t-test
	counter = 1;
	for j = [3, 6, 9]
		[h, p, ci] = ttest(cmip_data(:,j+1)-cmip_data(:,j));
		ci
		hmat(counter) = h;
		pmat(counter) = p;
		counter = counter+1;
	end
	pmat

end

