% Test significance of the difference in overprediction across the model configuration
% this is the analysis presented in Supplementary Table S2
% subsample data common to all model configurations
amip_cmip_data = nan(11,3);
aqua_cmip_data = nan(9,2);
amip_models_coup = {'bcc-csm1-1', 'CanESM2', 'CCSM4', 'CNRM-CM5', 'HadGEM2-ES', 'IPSL-CM5A-LR', 'IPSL-CM5B-LR', 'MIROC5', 'MPI-ESM-LR', 'MPI-ESM-MR', 'MRI-CGCM3'};
amip_models_atms = {'bcc-csm1-1', 'CanAM4', 'CCSM4', 'CNRM-CM5', 'HadGEM2-A', 'IPSL-CM5A-LR', 'IPSL-CM5B-LR', 'MIROC5', 'MPI-ESM-LR', 'MPI-ESM-MR', 'MRI-CGCM3'};
aqua_models_coup = {'CCSM4', 'CNRM-CM5', 'FGOALS-g2', 'HadGEM2-ES', 'IPSL-CM5A-LR', 'MIROC5', 'MPI-ESM-LR', 'MPI-ESM-MR', 'MRI-CGCM3'};
aqua_models_atms = {'CCSM4', 'CNRM-CM5', 'FGOALS-g2', 'HadGEM2-A', 'IPSL-CM5A-LR', 'MIROC5', 'MPI-ESM-LR', 'MPI-ESM-MR', 'MRI-CGCM3'};
for i = 1:length(amip_models_coup)
    id_quad = find(strcmp(cmip.model, amip_models_coup{i}));
    amip_cmip_data(i,1) = cmip.amp(id_quad)*100;

    id_amip = find(strcmp(amipF.model, amip_models_atms{i}));
    amip_cmip_data(i,2) = amipF.amp(id_amip)*100;
    amip_cmip_data(i,3) = amip4K.amp(id_amip)*100;
end

for i = 1:length(aqua_models_coup)
    id_quad = find(strcmp(cmip.model, aqua_models_coup{i}));
    aqua_cmip_data(i,1) = cmip.amp(id_quad)*100;

    id_aqua = find(strcmp(aqua.model, aqua_models_atms{i}));
    aqua_cmip_data(i,2) = aqua.amp(id_aqua)*100;
end

% t-test data used in Supplementary Table S2
for i = 2:3
    [tabs2.h, tabs2.p, tabs2.ci] = ttest(amip_cmip_data(:,1) - amip_cmip_data(:,i));
    tabs2.pmat(i) = tabs2.p;
end

[tabs2.h2, tabs2.p2, tabs2.ci2] = ttest(aqua_cmip_data(:,1) - aqua_cmip_data(:,2));
tabs2.pmat2(i) = tabs2.p2;

% Test significance of the difference in overprediction with/without filtering for deep convection
% this is the analysis presented in Supplementary Table S4
for j = 1:4
    [tabs4.h, tabs4.p, tabs4.ci] = ttest(amp_std(:,j)-amp_asc(:,j));
    tabs4.pmat(j) = tabs4.p;
end
tabs4.pmat;

% Test significance of the difference in overprediction with/without the direct effect of CO2
% this is the analysis presented in Supplementary Table S5
for j = 1:4
    [tabs5.h, tabs5.p, tabs5.ci] = ttest(amp_asc_co2(:,j)-amp_asc(:,j));
    tabs5.pmat(j) = tabs5.p;
end
tabs5.pmat;