function var_mean = areamean( var_interp, par, plev )

	if nargin == 2 

		% 2d area weighted mean
		nanfilter = nan(size(var_interp));
		nanfilter(~isnan(var_interp)) = 1;
		var_mean = nansum( var_interp .* par.coslat ) / nansum(nanfilter.*par.coslat);

	elseif nargin == 3
		% expand coslat in height dimension
		coslat3d = repmat(par.coslat, 1, length(plev));

		% 3d area weighted latitudinal mean
		nanfilter = nan(size(var_interp));
		nanfilter(~isnan(var_interp)) = 1;
		var_mean = nansum(var_interp .* coslat3d, 1) ./ nansum(nanfilter .* coslat3d, 1);
	else

		error('Not enough input arguments.');

	end

end
