function z_lcl = comp_lcl_z(ts, hs, ps, par)

		% integrate temperature profiles over height
		dz = 100;

		z_cd(1) = par.z_span(1);
		pa_cd(1) = ps;
		ta_cd(1) = ts;
		esat_cd(1) = calc_esat(ta_cd(1), par.frz);
		qsat_cd(1) = calc_q(pa_cd(1), esat_cd(1), par);
		rh(1) = hs / 100;
		r(1) = par.eps * rh(1) * esat_cd(1) / (pa_cd(1) - rh(1) * esat_cd(1));
		dtdz_dpdz(1,:) = dry_z([ta_cd(1), pa_cd(1)], par);
		T_p0 = [ta_cd(1), pa_cd(1)];
		[z_d, ta_pa_d]=ode45(@(z, T_p) dry_z(T_p, par), par.z_span, T_p0);
		i = 2;
		while rh(i-1) < 1
		    idx_lcl = i;
			z_cd(i, 1) = z_cd(i-1) + dz;
			pa_cd(i, 1) = pa_cd(i-1) + dz * dtdz_dpdz(i-1, 2);
			ta_cd(i, 1) = ta_cd(i-1) + dz * dtdz_dpdz(i-1, 1);
			esat_cd(i, 1) = calc_esat(ta_cd(i), par.frz);
			qsat_cd(i, 1) = calc_q(pa_cd(i), esat_cd(i), par);
			r(i, 1) = r(i-1);
			rh(i, 1) = r(i) * pa_cd(i) / (esat_cd(i) * (r(i) + par.eps));
			dtdz_dpdz(i,:) = dry_z([ta_cd(i), pa_cd(i)], par);
			i = i + 1;
		end
		z_lcl = z_cd(end);
		pa_lcl = pa_cd(end);

end
