function [esat] = calc_esat(T, frz);
    % Emanuel (1994) p.116
    % esat = 100 * exp(53.67957 - 6743.769 / T - 4.8451 * log(T));

    % Bolton (1980) as in Emanuel (1994) p.117
	%esat = 611.2 * exp(17.67 * (T - 273.15) / (T - 273.15 + 243.5));

	% Bohren and Albrecht (1998)
	if frz == 0
		esat = 611 * exp(6808 * (1/273 - 1/T) - 5.09 * log(T/273));
	elseif frz == 1
		if T > 273
			esat = 611 * exp(6808 * (1/273 - 1/T) - 5.09 * log(T/273));
		else
			esat = 611 * exp(6293 * (1/273 - 1/T) - 0.555 * log(T/273));
		end	
	elseif frz == 1.2
		if T > 273 - 40
			esat = 611 * exp(6808 * (1/273 - 1/T) - 5.09 * log(T/273));
		else
			esat = 611 * exp(6293 * (1/273 - 1/T) - 0.555 * log(T/273));
		end	
	end
end
