function [gamma, qsat] = cond(p, T_rh, r0, params)
    % T_rh(1) is temperature
    % T_rh(2) is relative humidity

    esat = calc_esat(T_rh(1));
	qsat = calc_q(p, esat, params);
    e = T_rh(2) * esat;

    dt_dp = dry(p, T_rh(1), params);
	de_dp = r0 / (r0 + params.eps);
    desat_dp = esat * dt_dp * 6743.769 * (1 - 4.8451 / T_rh(1)) / (T_rh(1) - 4.8451 * log(T_rh(1)))^2;
    drh_dp = 1 / esat * de_dp - e / esat^2 * desat_dp;

	gamma = [dt_dp; drh_dp];
end
