function [gamma, qsat] = sat(p, T, frz, par)
if nargin < 4 || isempty(frz), frz = 1; end

	L = calc_L(T, frz);
	esat = calc_esat(T, par.frz);
	qsat = calc_q(p, esat, par);
	rsat = par.eps * esat / (p - esat);
	gamma_dry = dry(p, T, par);

	if par.virtual % calculate lapse rate including virtual effect
		gamma = gamma_dry * ((1 + rsat) * (1 + (L * rsat) / (par.Rd * T))) / (1 + rsat*par.cpd/par.cpv + (L^2 * rsat) / (par.Rd * T^2 * par.cpd) * (par.eps + rsat));
	else % ignore virtual effect
		gamma = gamma_dry * (1 + (L * qsat) / (par.Rd * T)) / (1 + (L^2 * qsat) / (par.Rv * T^2 * par.cpd));
	end
end
