function [dtdz_dpdz, qsat] = sat_rev(T_p, frz, par)

	T = T_p(1);
	p = T_p(2);

	L = calc_L(T, frz);
	esat = calc_esat(T, par.frz);
        qsat = calc_q(p, esat, par);
        rsat = par.eps * esat / (p - esat);
	deriv_dry = dry_z([T, p], par);
	gamma_dry = deriv_dry(1);
	dpdz = deriv_dry(2);

	r_l = par.r_t - rsat;
	if frz
		gamma = gamma_dry * ((1 + par.r_t) *(1 + (L * rsat) / (par.Rd * T))) / (1 + rsat * par.cpv / par.cpd + r_l * par.cpi / par.cpd + (L^2 * rsat * (par.eps + rsat)) / (par.Rd * T^2 * par.cpd));
	else
		gamma = gamma_dry * ((1 + par.r_t) *(1 + (L * rsat) / (par.Rd * T))) / (1 + rsat * par.cpv / par.cpd + r_l * par.cpl / par.cpd + (L^2 * rsat * (par.eps + rsat)) / (par.Rd * T^2 * par.cpd));
	end
	% gamma = gamma_dry * ((1 + par.r_t) / (1 + rsat * par.cpv / par.cpd)) * ((1 + (L * rsat)/(par.Rd * T)) / (1 + r_l * par.cpl / (par.cpd + rsat * par.cpv) + (L^2 * rsat * (1 + rsat / par.eps)) / (par.Rv * T^2 * (par.cpd + rsat * par.cpv))));

	dtdz_dpdz = [gamma; dpdz];
end
