function [gamma, qsat] = sat(p, T, a, frz, par)
if nargin < 4 || isempty(frz), frz = 1; end

	L = calc_L(T, frz);
	esat = calc_esat(T, par.frz);
	qsat = calc_q(p, esat, par);
	rsat = par.eps * esat / (p - esat);
	gamma_dry = dry(p, T, par);

	gamma = gamma_dry * (1 + a + (L * qsat) / (par.Rd * T)) / (1 + a + (L^2 * qsat) / (par.Rv * T^2 * par.cpd));
end
