function [dtdz_dpdz, qsat] = sat_z(T_p, frz, params)

	L = calc_L(T_p(1), frz);
	qsat = calc_q(T_p(2), calc_esat(T_p(1), frz), params);
    	gamma_dry = dry_z(T_p, params);
	dpdz = gamma_dry(2);
	gamma = gamma_dry(1) * (1 + (L * qsat) / (params.Rd * T_p(1))) / (1 + (L^2 * qsat) / (params.Rv * T_p(1)^2 * params.cpd));

	dtdz_dpdz = [gamma; dpdz];
end
