function x_2d = mean_2d(x_2d_lat, x_2d_orig, par)

	% Zonal and time mean
	x_2d_zt = squeeze(nanmean(nanmean(x_2d_orig, 1), 3));

	% Interpolate to standard meridional grid
	x_2d_zti = interp1(x_2d_lat, x_2d_zt, par.lat, 'linear', 'extrap');

	% Area weighted average
	nanfilter = nan(size(x_2d_zti));
	nanfilter(not( isnan(x_2d_zti) )) = 1;
	x_2d = nansum(x_2d_zti .* par.coslat', 2) / nansum(nanfilter.*par.coslat');

end
