function [x_3d, x_3di] = mean_3d(x_3d_lat, x_3d_plev, x_3d_orig, par) 

	if length(size(x_3d_orig)) > 3
		x_3d_zt = squeeze(nanmean(nanmean(x_3d_orig, 1), 4));
		% Interpolate to standard meridional grid
		x_3d_zti = interp1(x_3d_lat, x_3d_zt, par.lat, 'linear', 'extrap');
	else % for the special case of moist adiabat values
		x_3d_zt = squeeze(nanmean(x_3d_orig, 1));
		x_3d_zti = interp1(x_3d_lat, x_3d_zt, par.lat, 'linear', 'extrap');
	end

	% Area weighted average
	x_3d = areamean(x_3d_zti, par, x_3d_plev );

	% vertically interpolate
	x_3di = interpvert( x_3d, par, x_3d_plev' );

end
