	if strcmp(type{1}, 'am2') & any(contains(fieldnames(x_2dt), 'cld'))
		% plot total cloud fraction (lat x lon)
		figure(); clf; hold all;
		colormap(gray);
		contourf(longrid, latgrid, x_2dt.cldt{i}', 'linecolor', 'none');
		xlabel('lon (deg)'); ylabel('lat (deg)');
		caxis([0 100]);
		cb = colorbar('limits', [0 100], 'location', 'eastoutside');
		cb.TickLabelInterpreter = 'latex';
		cb.Label.Interpreter = 'latex';
		ylabel(cb, 'total cloud frac. (%)');
		set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
		set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
		printname = sprintf([par.localdir clima_type model '/' prefix 'cld_tot'], par.ta_bnd, par.ta_bnd);
		print(printname, '-dpng', '-loose', '-r300');
		close;

		% plot high cloud fraction (lat x lon)
		figure(); clf; hold all;
		colormap(gray);
		contourf(longrid, latgrid, x_2dt.cldh{i}', 'linecolor', 'none');
		xlabel('longitude'); ylabel('latitude');
		caxis([0 100]);
		cb = colorbar('limits', [0 100], 'location', 'eastoutside');
		cb.TickLabelInterpreter = 'latex';
		cb.Label.Interpreter = 'latex';
		ylabel(cb, 'high cloud frac. (%)');
		set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
		set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
		printname = sprintf([par.localdir clima_type model '/' prefix 'cld_high'], par.ta_bnd, par.ta_bnd);
		print(printname, '-dpng', '-loose', '-r300');
		close;

		% plot low cloud fraction (lat x lon)
		figure(); clf; hold all;
		colormap(gray);
		contourf(longrid, latgrid, x_2dt.cldl{i}', 'linecolor', 'none');
		xlabel('longitude'); ylabel('latitude');
		caxis([0 100]);
		cb = colorbar('limits', [0 100], 'location', 'eastoutside');
		cb.TickLabelInterpreter = 'latex';
		cb.Label.Interpreter = 'latex';
		ylabel(cb, 'low cloud frac. (%)');
		set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
		set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
		printname = sprintf([par.localdir clima_type model '/' prefix 'cld_low'], par.ta_bnd, par.ta_bnd);
		print(printname, '-dpng', '-loose', '-r300');
		close;

		% plot mid cloud fraction (lat x lon)
		figure(); clf; hold all;
		colormap(gray);
		contourf(longrid, latgrid, x_2dt.cldm{i}', 'linecolor', 'none');
		xlabel('longitude'); ylabel('latitude');
		caxis([0 100]);
		cb = colorbar('limits', [0 100], 'location', 'eastoutside');
		cb.TickLabelInterpreter = 'latex';
		cb.Label.Interpreter = 'latex';
		ylabel(cb, 'mid cloud frac. (%)');
		set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
		set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
		printname = sprintf([par.localdir clima_type model '/' prefix 'cld_mid'], par.ta_bnd, par.ta_bnd);
		print(printname, '-dpng', '-loose', '-r300');
		close;

	end

	% plot w500 (lat x lon)
	figure(); clf; hold all;
	cmp = colCog(20);
	colormap(cmp);
	contourf(lon2dgrid, lat2dgrid, x_2dt.w500{i}', lim_wap*[-10:0.1:10], 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	caxis([-lim_wap lim_wap]);
	cb = colorbar('limits', [-lim_wap lim_wap], 'ticks', [-0.05:0.01:0.05], 'location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '$\omega_{500}$ (Pa/s)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
	printname = sprintf([par.localdir clima_type model '/' prefix 'w500'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot pr - ev (lat x lon)
	figure(); clf; hold all;
	cmp = colCog(20);
	colormap(cmp);
	contourf(longrid, latgrid, x_2dt.pr{i}' - x_2dt.evspsbl{i}', lim_pr*[-10:0.1:10], 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	caxis([-lim_pr lim_pr]);
	cb = colorbar('limits', [-lim_pr lim_pr], 'ticks', 1e-5*[-10:2:10], 'location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, 'P - E (kg/m$^2$/s)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
	printname = sprintf([par.localdir clima_type model '/' prefix 'p_minus_e'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot idx mask (lat x lon)
	figure(); clf; hold all;
	colormap(gray);
	imagesc(x_2d_lon, x_3d_lat, idx_mask{i}');
	xlabel('longitude'); ylabel('latitude');
	% caxis([0 lim_idx]);
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
	printname = sprintf([par.localdir clima_type model '/' prefix 'idx_mask_%g_%g'], par.ta_bnd, par.idx_perc);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot idx (lat x lon)
	figure(); clf; hold all;
	cmp = colCog(20);
	colormap(cmp);
	contourf(lon2dgrid, lat2dgrid, x_2dt.idx{i}', lim_idx*[-10:0.1:10], 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	caxis([-lim_idx lim_idx]);
	cb = colorbar('limits', [-lim_idx lim_idx], 'location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, 'index S (dimensionless)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_wide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-90 90], 'ytick', -90:30:90);
	printname = sprintf([par.localdir clima_type model '/' prefix 'idx'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot ps (lat x lon)
	figure(); clf; hold all;
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), x_2dt.ps{i}(:, idx35s:idx35n)'/100, 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	cb = colorbar('location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, 'surface pressure (hPa)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 'ps'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot ts (lat x lon)
	figure(); clf; hold all;
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), x_2dt.ts{i}(:, idx35s:idx35n)', 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	cb = colorbar('location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, 'skin temperature (K)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 'ts'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot pa_trop (lat x lon)
	figure(); clf; hold all;
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), x_2dt.pa_trop{i}(:, idx35s:idx35n)'/100, 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	cb = colorbar('location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, 'tropopause height (hPa)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 'pa_trop'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot tsurf (lat x lon)
	figure(); clf; hold all;
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), x_2dt.tas{i}(:, idx35s:idx35n)', 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	cb = colorbar('location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '2-m temperature (K)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 'tas'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot t500 (lat x lon)
	figure(); clf; hold all;
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), x_2dt.t500{i}(:, idx35s:idx35n)', 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	cb = colorbar('location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '500 hPa temperature (K)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 't500'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot t300 (lat x lon)
	figure(); clf; hold all;
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), x_2dt.t300{i}(:, idx35s:idx35n)', 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	cb = colorbar('location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '300 hPa temperature (K)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 't300'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot ts300 (lat x lon)
	figure(); clf; hold all;
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), x_2dt.ts300{i}(:, idx35s:idx35n)', 'linecolor', 'none');
	xlabel('longitude'); ylabel('latitude');
	cb = colorbar('location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '300 hPa temperature (K)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 'ts300'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	% plot OP (lat x lon)
	figure(); clf; hold all;
	cmp = colCog(20);
        colormap(cmp);
	contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), 100 * (x_2dt.ts300{i}(:, idx35s:idx35n)'-x_2dt.t300{i}(:, idx35s:idx35n)')./x_2dt.t300{i}(:, idx35s:idx35n)', -50:0.1:50, 'linecolor', 'none');
	caxis([-10 10]);
	cb = colorbar('limits', [-10 10], 'ticks', [-10:2:10], 'location', 'eastoutside');
	cb.TickLabelInterpreter = 'latex';
	cb.Label.Interpreter = 'latex';
	ylabel(cb, '$(T_{s300} - T_{300}) / T_{300} $ (unitless)');
	set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
	set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
	printname = sprintf([par.localdir clima_type model '/' prefix 'op'], par.ta_bnd, par.ta_bnd);
	print(printname, '-dpng', '-loose', '-r300');
	close;

	if any(contains(fieldnames(x_2dt), 'alm'))
		% plot bulk RAS entrainment rate (lat x lon)
		figure(); clf; hold all;
		contourf(lon2dgrid(idx35s:idx35n, :), lat2dgrid(idx35s:idx35n, :), 1e3*x_2dt.balm{i}(:, idx35s:idx35n)', linspace(0,1,30), 'linecolor', 'none');
		caxis([0 1]);
		cb = colorbar('limits', [0 1], 'ticks', [0:0.2:1], 'location', 'eastoutside');
		cb.TickLabelInterpreter = 'latex';
		cb.Label.Interpreter = 'latex';
		ylabel(cb, '$\langle \epsilon \rangle$ (km$^{-1}$)');
		set(gcf, 'PaperUnits', 'inches', 'PaperPosition', par.ppos_verywide);
		set(gca, 'xlim', [0 360], 'xtick', [0:60:360], 'ylim', [-30 30], 'ytick', -30:10:30);
		printname = sprintf([par.localdir clima_type model '/' prefix 'alm'], par.ta_bnd, par.ta_bnd);
		print(printname, '-dpng', '-loose', '-r300');
		close;
	end
