function orig_3d = read_3d_data(fn, model, type, startend_3d, par, sim)

	% READ DATA
	    for j = 1:length(startend_3d)


		if strcmp(type{1}, 'cmip5')
			if strcmp(fn, 'clip')
			    temp_3d{j} = ncread([par.dir par.subdir '/' fn '_' par.realmfreq '_' model '_' par.scenario '_' par.ens '_' startend_3d{j} '.nc'], 'cli');
			else
			    temp_3d{j} = ncread([par.dir par.subdir '/' fn '_' par.realmfreq '_' model '_' par.scenario '_' par.ens '_' startend_3d{j} '.nc'], fn);
			end
		else
			temp_3d{j} = ncread([par.dir par.subdir '/' fn '_' par.realmfreq '_' model '_' par.scenario '_' par.ens '_' startend_3d{j} '.nc'], fn);
		end

		    if ~all(~strcmp(fn, {'tas', 'ts', 'hurs', 'pr', 'prc', 'evspsbl'}))
			if length(startend_3d) > 1
			    temp_3d{j} = temp_3d{j}(:, :, :);
			else
			    temp_3d{j} = temp_3d{j}(:, :, end-par.n_time+1:end);
			end
		    else
			if length(startend_3d) > 1
			    temp_3d{j} = temp_3d{j}(:, :, :, :);
			else
			    temp_3d{j} = temp_3d{j}(:, :, :, end-par.n_time+1:end);
			end
		    end
	    end

		
		if ~all(~strcmp(fn, {'tas', 'ts', 'hurs', 'pr', 'prc', 'evspsbl'}))
		    if length(startend_3d) > 1
			orig_3d = cat(3,temp_3d{:});
			orig_3d = orig_3d(:, :, end-par.n_time+1:end);
		    else
			orig_3d = temp_3d{1};
		    end
		else
		    if length(startend_3d) > 1
			orig_3d = cat(4,temp_3d{:});
			orig_3d = orig_3d(:, :, :, end-par.n_time+1:end);
		    else
			orig_3d = temp_3d{1};
		    end
		end

	% fix egregious tas values in MPI-ESM-MR amipFuture
	if strcmp(sim{1}, 'amipF') & strcmp(model, 'MPI-ESM-MR') & strcmp(fn, 'tas')
		bad_coords = 1+[8 71; 10 70; 10 29; 11 29; 12 29; 13 29; 17 32; 19 37; 25 34; 27 63; 28 62; 31 58; 33 61; 41 52; 49 59; 51 56; 52 56; 54 54; 53 53; 54 52; 53 51; 52 49; 54 49; 57 57; 57 58; 58 58; 60 59; 64 61; 65 56; 62 51; 61 50; 64 47; 59 43; 72 46; 72 45; 77 43; 79 37; 73 29; 67 30; 64 29; 65 38; 93 26; 128 66; 131 64; 131 63; 132 63; 136 58; 140 59; 141 56; 142 56; 143 55; 160 52; 171 38; 167 34; 152 22; 154 32; 154 38; 185 52; 184 61; 189 67];
		for k = 1:length(bad_coords)
			orig_3d(bad_coords(k, 1), bad_coords(k, 2), :) = nan;
		end
	end

end
