function [lat, lon, plev] = read_grid(fn, model, type, startend_3d, par)

	lat = ncread([par.dir par.subdir '/' fn '_' par.realmfreq '_' model '_' par.scenario '_' par.ens '_' startend_3d '.nc'], 'lat');
	lon = ncread([par.dir par.subdir '/' fn '_' par.realmfreq '_' model '_' par.scenario '_' par.ens '_' startend_3d '.nc'], 'lon');

	% treatment of exceptional 3d variables

	% for cmip5 models
	if strcmp(type{1}, 'cmip5')

	    plev = ncread([par.dir par.subdir '/' fn '_' par.realmfreq '_' model '_' par.scenario '_' par.ens '_' startend_3d '.nc'],'plev');

	% for gfdl am2
	elseif strcmp(type{1}, 'am2')

		% mc is on the phalf grid
		if ~strcmp(fn, 'mc')
		    plev = ncread([par.dir par.subdir '/' fn '_' par.realmfreq '_' model '_' par.scenario '_' par.ens '_' startend_3d '.nc'],'plev');
		end % if variable is mc

	end % if model type

end
